### Class

# Shell Screenshot

since: 14

#### Description

    final class Shell.Screenshot : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 14

#### Ancestors

- GObject

#### Constructors

###### shell_screenshot_new

No description available.

since: 14

#### Functions

###### shell_screenshot_composite_to_stream

Composite a rectangle defined by x, y, width, height from the texture to a pixbuf and write it as a PNG image into the stream.

since: 14

###### shell_screenshot_composite_to_stream_finish

Finish the asynchronous operation started by shell_screenshot_composite_to_stream () and obtain its result.

since: 14

#### Instance methods

###### shell_screenshot_pick_color

Picks the pixel at `x`, `y` and returns its color as `ClutterColor`.

since: 14

###### shell_screenshot_pick_color_finish

Finish the asynchronous operation started by `shell_screenshot_pick_color()` and obtain its result.

since: 14

###### shell_screenshot_screenshot

Takes a screenshot of the whole screen in `stream` as png image.

since: 14

###### shell_screenshot_screenshot_area

Takes a screenshot of the passed in area and saves it in `stream` as png image.

since: 14

###### shell_screenshot_screenshot_area_finish

Finish the asynchronous operation started by `shell_screenshot_screenshot_area()` and obtain its result.

since: 14

###### shell_screenshot_screenshot_finish

Finish the asynchronous operation started by `shell_screenshot_screenshot()` and obtain its result.

since: 14

###### shell_screenshot_screenshot_stage_to_content

Takes a screenshot of the whole screen as `ClutterContent`.

since: 14

###### shell_screenshot_screenshot_stage_to_content_finish

Finish the asynchronous operation started by `shell_screenshot_screenshot_stage_to_content()` and obtain its result.

since: 14

###### shell_screenshot_screenshot_window

Takes a screenshot of the focused window (optionally omitting the frame) in `stream` as png image.

since: 14

###### shell_screenshot_screenshot_window_finish

Finish the asynchronous operation started by `shell_screenshot_screenshot_window()` and obtain its result.

since: 14

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Shell.Screenshot::screenshot-taken

No description available.

since: 14

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct ShellScreenshotClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.